
<!--- This file is automatically generated by make gen-cli-docs; changes should be made in the go CLI command code (under cmd/kops) -->

## kops create secret

Create a secret.

### Synopsis

Create a secret

### Examples

```
  # Create a new ssh public key called admin.
  kops create secret sshpublickey admin -i ~/.ssh/id_rsa.pub \
  --name k8s-cluster.example.com --state s3://my-state-store
  
  kops create secret dockerconfig -f ~/.docker/config.json \
  --name k8s-cluster.example.com --state s3://my-state-store
  
  kops create secret encryptionconfig -f ~/.encryptionconfig.yaml \
  --name k8s-cluster.example.com --state s3://my-state-store
```

### Options

```
  -h, --help   help for secret
```

### Options inherited from parent commands

```
      --add_dir_header                   If true, adds the file directory to the header of the log messages
      --alsologtostderr                  log to standard error as well as files
      --config string                    yaml config file (default is $HOME/.kops.yaml)
      --log_backtrace_at traceLocation   when logging hits line file:N, emit a stack trace (default :0)
      --log_dir string                   If non-empty, write log files in this directory
      --log_file string                  If non-empty, use this log file
      --log_file_max_size uint           Defines the maximum size a log file can grow to. Unit is megabytes. If the value is 0, the maximum file size is unlimited. (default 1800)
      --logtostderr                      log to standard error instead of files (default true)
      --name string                      Name of cluster. Overrides KOPS_CLUSTER_NAME environment variable
      --skip_headers                     If true, avoid header prefixes in the log messages
      --skip_log_headers                 If true, avoid headers when opening log files
      --state string                     Location of state storage (kops 'config' file). Overrides KOPS_STATE_STORE environment variable
      --stderrthreshold severity         logs at or above this threshold go to stderr (default 2)
  -v, --v Level                          number for the log level verbosity
      --vmodule moduleSpec               comma-separated list of pattern=N settings for file-filtered logging
```

### SEE ALSO

* [kops create](kops_create.md)	 - Create a resource by command line, filename or stdin.
* [kops create secret ciliumpassword](kops_create_secret_ciliumpassword.md)	 - Create a cilium encryption key.
* [kops create secret dockerconfig](kops_create_secret_dockerconfig.md)	 - Create a docker config.
* [kops create secret encryptionconfig](kops_create_secret_encryptionconfig.md)	 - Create an encryption config.
* [kops create secret keypair](kops_create_secret_keypair.md)	 - Create a secret keypair.
* [kops create secret sshpublickey](kops_create_secret_sshpublickey.md)	 - Create an ssh public key.
* [kops create secret weavepassword](kops_create_secret_weavepassword.md)	 - Create a weave encryption config.

